Sensitive Information Disclosure Posts

ConnectWise Control 19.3.25270.7185 - Eight Vulnerabilities, Including Critical
Big Monitoring Fabric Application
Simple – Better Banking (Android) v. 2.45.0 – 2.45.3 - Sensitive Information Disclosure
Amtrak Mobile APIs - Multiple Vulnerabilities